// $ANTLR 2.7.0: "CGPInterpreter.g" -> "CGPInterpreter.java"$

    package cgp;

	import antlr.CommonAST;
    import antlr.SemanticException;

    import cgp.runtime.ActorException;
    import cgp.runtime.ActorType;
    import cgp.runtime.BooleanType;
    import cgp.runtime.ConceptType;
    import cgp.runtime.FileType;
    import cgp.runtime.FormalParameter;
    import cgp.runtime.FunctionType;
    import cgp.runtime.GraphType;
    import cgp.runtime.KBase;
    import cgp.runtime.KnowledgeBaseStack;
    import cgp.runtime.LambdaType;
    import cgp.runtime.LastException;
    import cgp.runtime.ListType;
    import cgp.runtime.Namespace;
    import cgp.runtime.NumberType;
    import cgp.runtime.ProcessType;
    import cgp.runtime.Rule;
    import cgp.runtime.ReturnException;
    import cgp.runtime.Scope;
    import cgp.runtime.ScopeStack;
    import cgp.runtime.StringType;
    import cgp.runtime.SubActorInfo;
    import cgp.runtime.Type;
    import cgp.runtime.UndefinedType;

    import java.io.File;
    import java.io.IOException;
    import java.util.Enumeration;
    import java.util.LinkedList;
    import java.util.List;
    import java.util.Properties;

    import notio.Actor;
    import notio.Concept;
    import notio.ConceptReplaceException;
    import notio.Graph;
    import notio.Relation;
    import notio.TypeAddError;
    import notio.TypeChangeError;

public interface CGPInterpreterTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int OPTION_LIST = 4;
	int TYPE_DECL = 5;
	int VALUE_SELECTOR = 6;
	int BLOCK = 7;
	int IF_STATEMENT = 8;
	int WHILE_STATEMENT = 9;
	int FOREACH_STATEMENT = 10;
	int CONDITION = 11;
	int FUN_DEF = 12;
	int ANON_FUN_DEF = 13;
	int LAMBDA_DEF = 14;
	int ACTOR_DEF = 15;
	int PROCESS_DEF = 16;
	int RULE_DEF = 17;
	int PRE_DEF = 18;
	int MATCH_EXPRESSION = 19;
	int MUTATE_KB_EXPRESSION = 20;
	int POST_DEF = 21;
	int CALL = 22;
	int ACTUAL_ARGS = 23;
	int VAR_ASSIGN = 24;
	int ATTR_ASSIGN = 25;
	int LIST_ASSIGN = 26;
	int MEMBER_FUNCALL = 27;
	int ATTR_SELECTION = 28;
	int LIST_SELECTION = 29;
	int LIST = 30;
	int CONCEPT_LITERAL = 31;
	int GRAPH_LITERAL = 32;
	int FILE_VALUE = 33;
	int NEW_VALUE = 34;
	int EMPTY_LIST = 35;
	int TYPE_VALUE = 36;
	int AND = 37;
	int OR = 38;
	int IS = 39;
	int NOT = 40;
	int IDENT = 41;
	int LITERAL_function = 42;
	int LITERAL_lambda = 43;
	int LITERAL_actor = 44;
	int LITERAL_process = 45;
	int GT = 46;
	int SEMI = 47;
	int LITERAL_concept = 48;
	int LITERAL_relation = 49;
	int LPAREN = 50;
	int COMMA = 51;
	int RPAREN = 52;
	int LITERAL_is = 53;
	int LITERAL_in = 54;
	int LITERAL_out = 55;
	int LITERAL_end = 56;
	int LITERAL_initial = 57;
	int LITERAL_rule = 58;
	int LITERAL_pre = 59;
	int LITERAL_action = 60;
	int TILDE = 61;
	int LITERAL_post = 62;
	int LITERAL_option = 63;
	int GETS = 64;
	int STRING = 65;
	int DOT = 66;
	int LITERAL_print = 67;
	int LITERAL_println = 68;
	int LITERAL_return = 69;
	int LITERAL_exit = 70;
	int LITERAL_last = 71;
	int LITERAL_system = 72;
	int LITERAL_assert = 73;
	int LITERAL_retract = 74;
	int LITERAL_apply = 75;
	int LITERAL_if = 76;
	int LITERAL_then = 77;
	int LITERAL_else = 78;
	int LITERAL_while = 79;
	int LITERAL_do = 80;
	int LITERAL_foreach = 81;
	int LBRACK = 82;
	int RBRACK = 83;
	int LITERAL_or = 84;
	int LITERAL_and = 85;
	int LT = 86;
	int GE = 87;
	int LE = 88;
	int EQ = 89;
	int NE = 90;
	int PLUS = 91;
	int MINUS = 92;
	int MUL = 93;
	int LITERAL_div = 94;
	int LITERAL_mod = 95;
	int LITERAL_not = 96;
	int LITERAL_activate = 97;
	int NUMBER = 98;
	int GRAPH_STRING = 99;
	int LITERAL_file = 100;
	int LITERAL_new = 101;
	int LITERAL_true = 102;
	int LITERAL_false = 103;
	int LITERAL_number = 104;
	int LITERAL_string = 105;
	int LITERAL_boolean = 106;
	int LITERAL_graph = 107;
	int LITERAL_list = 108;
	int LITERAL_undefined = 109;
	int LBRACE = 110;
	int RBRACE = 111;
	int COLON = 112;
	int LETTER = 113;
	int DIGIT = 114;
	int METACHAR = 115;
	int WS = 116;
	int COMMENT = 117;
}
